Skip to main content

Create Blemished Product

POST 

/api/products/blemished

Create a blemished (damaged/used) product derived from an existing standard product.

Authentication: Requires Bearer token.

Body fields:

  • blemished_sku (required, unique): SKU for the new blemished product
  • derived_from_product_id (required): ID of the original standard product
  • condition (optional): condition description (e.g. 'Grade B - Minor scratches')
  • reference (optional): reference number or note
  • adjust_inventory (optional, boolean, default false): create an inventory adjustment
  • adjust_inventory_for_original_product (optional, boolean): also adjust the original product
  • adjustment_type (optional, default 'increase'): increase or decrease
  • adjustment_data (optional): adjustment details when adjust_inventory is true

Request

Responses

Successful response